/*
 * ======== Standard MSP430 includes ========
 */
#include <msp430.h>

/*
 * ======== Grace related includes ========
 */
#include <ti/mcu/msp430/csl/CSL.h>

/*
 *  ======== main ========
 */
 
#define InputPort P2OUT
#define OutputPort P1OUT

  	int inputSelection=0;
    int outputSelection=0;

int main(int argc, char *argv[])
{
    CSL_init();                     // Activate Grace-generated configuration
    WDTCTL = WDTPW + WDTHOLD; 		// Stop watchdog timer
    __enable_interrupt();           // Set global interrupt enable
       
    // Initial Values
    inputSelection=0;
	outputSelection=0;
	InputPort = 0x30;
	OutputPort = 0x09;
	
	while(1){
	
    if(inputSelection == 3) InputPort = 0x0F;
    else if(inputSelection == 2) InputPort = 0x1A;
    else if(inputSelection == 1) InputPort = 0x25;
    else InputPort = 0x30;
    
    if(outputSelection == 3) OutputPort = 0xF9;
    else if(outputSelection == 2) OutputPort = 0xA9;
    else if(outputSelection == 1) OutputPort = 0x59;
    else OutputPort = 0x09;
    
    __delay_cycles(10000);
		
	}
//    return (0);
}

// Update input/outputSelection variables after button press
void PORT1_ISR(void)
{
	if( P1IFG & BIT0 ) 
	{
	if(inputSelection >=3) inputSelection = 0;
	else inputSelection++;
	__delay_cycles(100000);
	P1IFG &= ~BIT0; // P1.0 IFG cleared 
	}
	
	else if( P1IFG & BIT3 ) 
	{
	if(outputSelection >=3) outputSelection = 0;
	else outputSelection++; 
	__delay_cycles(100000);
	P1IFG &= ~BIT3; // P1.3 IFG cleared
	}	
}
